MODULE ABORT_SURF_MOD
CONTAINS
SUBROUTINE ABORT_SURF(CDTEXT)
 
USE PARKIND1  ,ONLY : JPIM     ,JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

USE MPL_MODULE

IMPLICIT NONE

CHARACTER(LEN=*) :: CDTEXT

REAL(KIND=JPRB) :: ZHOOK_HANDLE

IF (LHOOK) CALL DR_HOOK('ABORT_SURF_MOD:ABORT_SURF',0,ZHOOK_HANDLE)

!this is temporary /mats
CALL ABOR1(CDTEXT)
IF (LHOOK) CALL DR_HOOK('ABORT_SURF_MOD:ABORT_SURF',1,ZHOOK_HANDLE)

END SUBROUTINE ABORT_SURF
END MODULE ABORT_SURF_MOD
